package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.SupplierEvaluationResultComposite;

public class SupplierEvaluationResultAction extends Action{
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		actionListener.onLoad(this);
		actionListener = this.getListener();
		Composite composite = actionListener.getParentComposite();
		composite.setData("tenderProjectEntity", this.getTenderProject());
		SupplierEvaluationResultComposite evaluationComposite = new SupplierEvaluationResultComposite(composite, SWT.NONE);
		actionListener.loadComposite(this, evaluationComposite);
	}
	
}
